Upstream information

CVE-2011-3328 at MITRE

Description

The png_handle_cHRM function in pngrutil.c in libpng 1.5.4, when color-correction support is enabled, allows remote attackers to cause a denial of service (divide-by-zero error and application crash) via a malformed PNG image containing a cHRM chunk associated with a certain zero value.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.6
Vector AV:N/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 720017 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libpng16-16 >= 1.6.8-2.24
  • libpng16-16-32bit >= 1.6.8-2.24
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libpng16-16
SUSE Linux Enterprise Desktop 12 SP1
  • libpng15-15 >= 1.5.22-2.2
  • libpng16-16 >= 1.6.8-5.1
  • libpng16-16-32bit >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libpng15-15
SUSE Linux Enterprise Desktop 12 SP1 GA libpng16-16
SUSE Linux Enterprise Desktop 12 SP2
  • libpng15-15 >= 1.5.22-4.1
  • libpng16-16 >= 1.6.8-11.1
  • libpng16-16-32bit >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libpng15-15
SUSE Linux Enterprise Desktop 12 SP2 GA libpng16-16
SUSE Linux Enterprise Desktop 12 SP3
  • libpng15-15 >= 1.5.22-9.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libpng15-15
SUSE Linux Enterprise Desktop 12 SP3 GA libpng16-16
SUSE Linux Enterprise Module for Basesystem 15
  • libpng16-16 >= 1.6.34-1.19
  • libpng16-16-32bit >= 1.6.34-1.19
  • libpng16-compat-devel >= 1.6.34-1.19
  • libpng16-devel >= 1.6.34-1.19
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libpng16-16
SUSE Linux Enterprise Server 12
  • libpng16-16 >= 1.6.8-2.24
  • libpng16-16-32bit >= 1.6.8-2.24
Patchnames:
SUSE Linux Enterprise Server 12 GA libpng16-16
SUSE Linux Enterprise Server 12 SP1
  • libpng15-15 >= 1.5.22-2.2
  • libpng16-16 >= 1.6.8-5.1
  • libpng16-16-32bit >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libpng15-15
SUSE Linux Enterprise Server 12 SP1 GA libpng16-16
SUSE Linux Enterprise Server 12 SP2
  • libpng15-15 >= 1.5.22-4.1
  • libpng16-16 >= 1.6.8-11.1
  • libpng16-16-32bit >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libpng15-15
SUSE Linux Enterprise Server 12 SP2 GA libpng16-16
SUSE Linux Enterprise Server 12 SP3
  • libpng15-15 >= 1.5.22-9.1
  • libpng16-16 >= 1.6.8-14.1
  • libpng16-16-32bit >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libpng15-15
SUSE Linux Enterprise Server 12 SP3 GA libpng16-16
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libpng15-15 >= 1.5.22-4.1
  • libpng16-16 >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libpng15-15
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libpng16-16
SUSE Linux Enterprise Software Development Kit 12
  • libpng16-compat-devel >= 1.6.8-2.24
  • libpng16-devel >= 1.6.8-2.24
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libpng16-compat-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libpng16-compat-devel >= 1.6.8-5.1
  • libpng16-devel >= 1.6.8-5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libpng16-compat-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libpng16-compat-devel >= 1.6.8-11.1
  • libpng16-devel >= 1.6.8-11.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libpng16-compat-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libpng16-compat-devel >= 1.6.8-14.1
  • libpng16-devel >= 1.6.8-14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libpng16-compat-devel
openSUSE Leap 15.0
  • libpng16-16 >= 1.6.34-lp150.1.5
Patchnames:
openSUSE Leap 15.0 GA libpng16-16
openSUSE Leap 42.1
  • libpng16-16 >= 1.6.8-2.2
  • libpng16-16-32bit >= 1.6.8-2.2
  • libpng16-compat-devel >= 1.6.8-2.2
  • libpng16-devel >= 1.6.8-2.2
Patchnames:
openSUSE Leap 42.1 GA libpng16-16
openSUSE Leap 42.2
  • libpng16-16 >= 1.6.8-8.1
  • libpng16-16-32bit >= 1.6.8-8.1
  • libpng16-compat-devel >= 1.6.8-8.1
  • libpng16-devel >= 1.6.8-8.1
Patchnames:
openSUSE Leap 42.2 GA libpng16-16
openSUSE Leap 42.3
  • libpng16-16 >= 1.6.8-11.3
  • libpng16-16-32bit >= 1.6.8-11.3
  • libpng16-compat-devel >= 1.6.8-11.3
  • libpng16-devel >= 1.6.8-11.3
Patchnames:
openSUSE Leap 42.3 GA libpng16-16
openSUSE Tumbleweed
  • libpng16-16 >= 1.6.26-1.1
  • libpng16-16-32bit >= 1.6.26-1.1
  • libpng16-compat-devel >= 1.6.26-1.1
  • libpng16-compat-devel-32bit >= 1.6.26-1.1
  • libpng16-devel >= 1.6.26-1.1
  • libpng16-devel-32bit >= 1.6.26-1.1
  • libpng16-tools >= 1.6.26-1.1
Patchnames:
openSUSE Tumbleweed GA libpng16-16